# Class AbstractAccessLogValve.ResponseHeaderElement

java.lang.Object
org.apache.catalina.valves.AbstractAccessLogValve.ResponseHeaderElement

All Implemented Interfaces:
  `AbstractAccessLogValve.AccessLogElement`

Enclosing class:
  `AbstractAccessLogValve`

protected static class AbstractAccessLogValve.ResponseHeaderElement extends Object implements AbstractAccessLogValve.AccessLogElement
Write a specific response header - %{xxx}o.

## Constructor Summary

Constructors
Constructor
Description
`ResponseHeaderElement(String header)`
Creates a new response header element.

## Method Summary

Modifier and Type
Method
Description
`void`
`addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResponseHeaderElement

public ResponseHeaderElement(String header)
Creates a new response header element.

Parameters:
  `header` - The header name

## Method Details

### addElement

public void addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)

Specified by:
  `addElement` in interface `AbstractAccessLogValve.AccessLogElement`